Bug 1282485 - Associating a template with a HostGroup does not create association for nested HostGroups
Associating a template with a HostGroup does not create association for neste...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates (Show other bugs)
6.1.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 10:02 EST by David Juran
Modified: 2017-01-12 14:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 14:14:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14624 None None None 2016-04-22 12:21 EDT

  None (edit)
Description David Juran 2015-11-16 10:02:34 EST
Description of problem:
If a provisioning template is associated with a HostGroup, nested HostGroups will still be associated with the Operating System default template. 
This is does not follow the usage patterns used elsewhere around HostGroups. In my opinion, it would be more intuitive to be able to set the provisioning template in the "operating system" tab of the HostGroup and let the value be inherited by nested HostGroups, just like most other values.

Version-Release number of selected component (if applicable):


How reproducible:
Satellite 6.1.3

Steps to Reproduce:
1. Create two host groups Foo/Bar, where Foo is a parent of Bar
2. Associate a custom provisioning template with Foo
3. Do note that hosts in the Bar HG, do not use the template associated with Foo.
Comment 1 Bryan Kearney 2016-04-13 15:17:34 EDT
Created redmine issue http://projects.theforeman.org/issues/14624 from this bug
Comment 2 Bryan Kearney 2016-04-13 16:04:42 EDT
Upstream bug component is Provisioning
Comment 3 Bryan Kearney 2016-04-14 04:04:32 EDT
Upstream bug component is Provisioning Templates
Comment 4 Bryan Kearney 2016-07-26 15:10:13 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2017-01-12 14:14:31 EST
This is an older bug which has been reported upstream. We are not going to track this bug downstream. When the upstream issue is resolved, the next build will contain the fix. Thank you.

Note You need to log in before you can comment on or make changes to this bug.